Redmine - Patch #28861

Add a date item to the context menu
2018-05-23 10:23 - Mizuki ISHIKAWA

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: Candidate for next major release

Description

The context menu is very convenient because you can change the information without making a screen transition.
| would like to change the date information by context menu.

By applying this patch you can open a modal to change the date.

screenshoti.png screenshot2.png

Related issues:
Related to Redmine - Feature #3603: Add a way to change issue start-/due date... New 2009-07-10

History

#1 - 2018-05-23 18:55 - Yuuki NARA

+1

| am looking forward to releasing this function.

#2 - 2018-05-24 02:17 - Akipii Oga

+1

#3 - 2018-06-09 06:04 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2018-06-13 22:33 - Marius BALTEANU

Interesting feature.

I'm writing down some thoughts that I've regarding this feature:

1. The "Date" label is not clear enough from my point of view. Maybe "Start/End dates" or just "Dates"?

2. I find it useful to support also the custom fields of type "Date".

3. Editing two attributes with one action is not usual for the Redmine contextual menu. I'm wondering if is not better to add the dates attributes as

individual items in the contextual menu (Start date, End date, Custom Date etc) and in the submenu to add some dates shortcuts like "Tomorrow",
"Next Week", "Next Month" and the date picker for selecting the date.

#5 - 2018-06-23 06:16 - Go MAEDA
Marius BALTEANU wrote:
3. Editing two attributes with one action is not usual for the Redmine contextual menu. I'm wondering if is not better to add the dates attributes as

individual items in the contextual menu (Start date, End date, Custom Date etc) and in the submenu to add some dates shortcuts like
"Tomorrow", "Next Week", "Next Month" and the date picker for selecting the date.

Maybe project managers think start date and due date of an issue at the same time when they make a schedule, so | prefer having these two fields on
the same dialog.

#6 - 2018-06-23 07:42 - Bernhard Rohloff
- File datepicker _firefox.png added

Go MAEDA wrote:

Maybe project managers think start date and due date of an issue at the same time when they make a schedule, so | prefer having these two
fields on the same dialog.
| agree with Go MAEDA on this point. | think it would be tedious to go through the context menu twice to set the start and due date separately. | also
think the intention of the menu item "Date" would be more clear if we would rename it into something like "Schedule".

Marius BALTEANU wrote:

... to add some dates shortcuts like "Tomorrow", "Next Week", "Next Month" and the date picker for selecting the date.
This could also be very handy but | would integrate them in the modal view, too. In my experience project managers are quite volatile in making their
decisions (especially at scheduling) so having all choices presented in a single view can be advantageous for this kind of users.

Referring to the proposed modal view, | find the checkboxes to reset the dates quite odd. As this functionality is also present in the browser based
datepickers | would recommend to remove them from the view.

datepicker_firefox.png
#7 - 2018-06-25 01:47 - Mizuki ISHIKAWA
- File bulk_edit_selected _issues.png added
Thank you for much feedback.
Bernhard Rohloff wrote:
Referring to the proposed modal view, | find the checkboxes to reset the dates quite odd. As this functionality is also present in the browser

based datepickers | would recommend to remove them from the view.

Emptying date_field and checking the clear checkbox work differently.
It is the same Ul as existing bulk edit selected issues screen (views/issues/bulk_edit.html.erb)
bulk_edit_selected_issues.png

e |f date_field is empty, it does not change the existing value of that field.
e If the clear check box is checked, overwrite the value of that field with an empty string.

Many people think that the clear checkbox is odd just like you, but | have no other good idea.
#8 - 2018-07-30 07:06 - Mizuki ISHIKAWA
- File Add-dates-on-context-menu_v2.patch added

Thank you for much feedback.

| attached a patch to change label from "Date" to "Start date / Due date".
| set label to "Start date / Due date" because you do not have to increase the items in the en.yml file.

#9 - 2018-09-17 06:13 - Go MAEDA
- Related to Feature #3603: Add a way to change issue start-/due dates directly from the issue list added

#10 - 2018-09-17 06:21 - Go MAEDA
Mizuki ISHIKAWA wrote:

Many people think that the clear checkbox is odd just like you, but | have no other good idea.

How about dropping support for multiple issues selection from the patch? You can remove the checkboxes if the feature only supports single issue
selection.
Currently, "Log time" does not exist in the context menu for multiple issue selection.
#11 - 2018-09-17 06:27 - Go MAEDA
Go MAEDA wrote:
Mizuki ISHIKAWA wrote:
Many people think that the clear checkbox is odd just like you, but | have no other good idea.

How about dropping support for multiple issues selection from the patch? You can remove the checkboxes if the feature only supports single
issue selection.
Or showing a different dialog depending on the number of selected issues may be a solution. It means that the checkboxes appear only when a user

opens the dialog for multiple issues selection.
#12 - 2019-05-22 19:31 - Ponmuthu Muniyasamy
Hi Everyone,
How to enable this feature in 4.0.3.stable?
can anyone please help ?
Thanks in advance
#13 - 2020-02-19 08:35 - Mizuki ISHIKAWA
Ponmuthu Muniyasamy wrote:
Hi Everyone,
How to enable this feature in 4.0.3.stable?
can anyone please help ?

Thanks in advance

The Patch page has instructions on how to do it, but individual customization is not recommended as problems may occur after application.

#14 - 2020-02-19 08:39 - Mizuki ISHIKAWA

- File Add-dates-on-context-menu_v3.patch added

Because there were many opinions that the Clear check box was difficult to understand, "Start date / Due date" can be changed only in context menu

for one issue.(Cannot be changed during bulk edit)
| think that changing just one issue will be enough.
